AnsweredAssumed Answered

We've been hearing that our GeoExplorers require an operating system update. Is this true?

Question asked by Lindsay Large on Feb 9, 2018

What's the scoop? We've been hearing that our GeoExplorers require an operating system update. Is this true? if so, why hasn't Trimble notified us?

Outcomes